Bug 1685164 - CVE-2019-5786 chromium: chromium-browser: Use-after-free in FileReader [fedora-all]
Summary: CVE-2019-5786 chromium: chromium-browser: Use-after-free in FileReader [fedor...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: chromium
Version: 29
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2019-5786
TreeView+ depends on / blocked
 
Reported: 2019-03-04 14:17 UTC by Andrej Nemec
Modified: 2019-03-29 20:11 UTC (History)
7 users (show)

Fixed In Version: chromium-73.0.3683.75-2.fc29 chromium-73.0.3683.75-2.fc30
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-25 06:06:44 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2019-03-04 14:17:12 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Andrej Nemec 2019-03-04 14:17:13 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=high

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1685162,1685164

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Dusty Mabe 2019-03-08 15:16:40 UTC
This one has been getting some press and apparently is being exploited in the wild: https://www.forbes.com/sites/daveywinder/2019/03/07/google-confirms-serious-chrome-security-problem-heres-how-to-fix-it/#9a8794920029

Comment 3 shutefan 2019-03-17 17:03:19 UTC
Any chance of this being fixed any time soon? From what I understood this vulnerability is being actively exploited...

Comment 4 Tomas Popela 2019-03-18 05:31:39 UTC
There is a build of chromium-73.0.3683.75 for rawhide in progress. If it will success, the other builds will follow soon.

Comment 5 Dusty Mabe 2019-03-18 21:07:55 UTC
and... it succeeded! only took 21 hours and 22 minutes --- that's insane!

http://koji.fedoraproject.org/koji/buildinfo?buildID=1231665

Comment 6 Robert Buchholz 2019-03-21 13:22:24 UTC
(In reply to Dusty Mabe from comment #5)
> and... it succeeded! only took 21 hours and 22 minutes --- that's insane!
> 
> http://koji.fedoraproject.org/koji/buildinfo?buildID=1231665

There's a revbump with builds for the other roots: chromium-73.0.3683.75-2
https://koji.fedoraproject.org/koji/buildinfo?buildID=1235796

By the way, it's actually the aarch64 build that takes a day, the x86 builds are "fast" at an hour runtime:
https://kojipkgs.fedoraproject.org//packages/chromium/73.0.3683.75/2.fc31/data/logs/aarch64/mock_output.log
https://kojipkgs.fedoraproject.org//packages/chromium/73.0.3683.75/2.fc31/data/logs/x86_64/mock_output.log
https://kojipkgs.fedoraproject.org//packages/chromium/73.0.3683.75/2.fc31/data/logs/i686/mock_output.log

Comment 7 Dusty Mabe 2019-03-21 15:22:45 UTC
Thanks for the info. Do you think we could get bodhi updates for those?

> By the way, it's actually the aarch64 build that takes a day, the x86 builds are "fast" at an hour runtime:

Weird.. wonder what is special about aarch64 that is causing the issue. :(

Comment 8 Fedora Update System 2019-03-22 14:48:12 UTC
chromium-73.0.3683.75-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-561eae4626

Comment 9 Fedora Update System 2019-03-22 14:48:37 UTC
chromium-73.0.3683.75-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-225052b90e

Comment 10 Fedora Update System 2019-03-22 14:49:02 UTC
chromium-73.0.3683.75-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-05a780936d

Comment 11 Fedora Update System 2019-03-22 19:17:21 UTC
chromium-73.0.3683.75-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-05a780936d

Comment 12 Fedora Update System 2019-03-23 02:41:28 UTC
chromium-73.0.3683.75-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-561eae4626

Comment 13 Fedora Update System 2019-03-23 03:12:55 UTC
chromium-73.0.3683.75-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-225052b90e

Comment 14 Fedora Update System 2019-03-25 06:06:44 UTC
chromium-73.0.3683.75-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-03-29 15:41:24 UTC
chromium-73.0.3683.86-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-0927602e59

Comment 16 Fedora Update System 2019-03-29 19:19:44 UTC
chromium-73.0.3683.75-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2019-03-29 20:11:05 UTC
chromium-73.0.3683.86-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-0927602e59


Note You need to log in before you can comment on or make changes to this bug.